Runtime

## org.eclipse.gmf.runtime.common.ui.action.util
Class SelectionUtil

    java.lang.Object
      org.eclipse.gmf.runtime.common.ui.action.util.SelectionUtil

    public class SelectionUtil

extends java.lang.Object

This class provides selection utility methods.

Method Summary
`static void` `selectAndReveal(java.lang.Object obj, IWorkbenchWindow window)` Attempts to select and reveal the specified object in all parts within the supplied workbench window's active page.
`static void` `startInlineEdit(IWorkbenchPart part, java.lang.Object newElement)` Select, reveal and start inline editing on the new element, if appropriate.
`static void` `startRename(IWorkbenchPart part, java.lang.Object newElement)` Select, reveal and start renaming the new element, if appropriate.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### selectAndReveal

    public static void selectAndReveal(java.lang.Object obj,
                                       IWorkbenchWindow window)

  Attempts to select and reveal the specified object in all parts within the supplied workbench window's active page. Checks all parts in the active page to see if they implement `ISetSelectionTarget`, either directly or as an adapter. If so, tells the part to select and reveal the specified resource.

  Parameters:
    `obj` - The object to be selected and revealed
    `window` - The workbench window to select and reveal the resource
  See Also:
    `ISetSelectionTarget`

### startInlineEdit

    public static void startInlineEdit(IWorkbenchPart part,
                                       java.lang.Object newElement)

  Select, reveal and start inline editing on the new element, if appropriate.

  Parameters:
    `part` - the workbench part in which to start the inline editing
    `newElement` - the new element

### startRename

    public static void startRename(IWorkbenchPart part,
                                   java.lang.Object newElement)

  Select, reveal and start renaming the new element, if appropriate.

  Parameters:
    `part` - the workbench part in which to start the global rename action
    `newElement` - the new element

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.